
#include "Wektor.h"
#include <cmath>


void Wektor::Dodaj(const double& el)
{
	if (ileelementow >= rozmiar)
	{
		double* tmp = new double[rozmiar*2];
		for (int i=0; i<rozmiar; i++)  tmp[i]=elementy[i];
		delete[] elementy;
		elementy=tmp;
		rozmiar*=2;
	}
	elementy[ileelementow]=el;
	ileelementow++;
}

double Wektor::DlugoscEuklidesowa()
{
	double d=0.0;
	for(int i=0;i<this->ileelementow;i++) d=d+elementy[i]*elementy[i];
	return sqrt(d);
}
